./net/ruby-amqp, AMQP client implementation in Ruby/EventMachine

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.7.0, Package name: ruby23-amqp-1.7.0, Maintainer: pkgsrc-users

Ruby amqp gem is a widely used, feature-rich, well-maintained asynchronous
AMQP 0.9.1 client with batteries included.

This library works with Ruby 1.8.7 (*except for p249*, see the FAQ), Ruby
1.9.2, Ruby 1.9.3, [JRuby](http://jruby.org), [Rubinius](http://rubini.us) as
well as [REE](http://www.rubyenterpriseedition.com), and is licensed under the
[Ruby License](http://www.ruby-lang.org/en/LICENSE.txt)


Required to run:
[devel/ruby-eventmachine] [net/ruby-amq-protocol] [lang/ruby23-base]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: fb7ec9bac57e7ab9102541b96015418bdd97f5fe
RMD160: d00ea76034d2903819a2c342b6d7fff020bf0285
Filesize: 1149 KB

Version history: (Expand)


CVS history: (Expand)


   2017-03-20 15:42:04 by Takahiro Kambe | Files touched by this commit (2)
Log message:
Fix HOMEPAGE, make GitHub url to use ssl.
   2017-03-20 15:35:03 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
Update ruby-amqp to 1.7.0.

Changes Between 1.6.0 and 1.7.0 (Feb 2nd, 2017)

* Clear Framesets on Exception

  Unprocessed frames received on a connection are now correctly
  cleared when an exception occurs.

  Contributed by Michael Lutsiuk.

  GitHub issue: #218

* amq-protocol Update

  Minimum amq-protocol version is now 2.1.0.
   2016-10-17 16:35:41 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
Update ruby-amqp to 1.6.0.

## Changes Between 1.5.x and 1.6.0 (Apr 4th, 2016)

### amq-protocol Update

Minimum `amq-protocol` version is now `2.0.1`.

### Provide More Details in TCP Connection Failure Exception

Contributed by Neil Hooey.

GH issue: [#222](https://github.com/ruby-amqp/amqp/issues/222).

### Ensures frameset is cleared after an unhandled exception

Ensures frameset is cleared after an unhandled exception.
This avoids confusing exceptions such as

```
undefined method `method_class' for \ 
#<AMQ::Protocol::BodyFrame:0x0000001e8a60b0>
```

Contributed by Michael Lutsiuk.

GH issue: [#218](https://github.com/ruby-amqp/amqp/issues/218)
   2015-12-30 05:23:00 by Takahiro Kambe | Files touched by this commit (10)
Log message:
Remove RUBY_VERSION_SUPPORTED which has the samve value as default.
   2015-11-04 01:35:47 by Alistair G. Crooks | Files touched by this commit (748)
Log message:
Add SHA512 digests for distfiles for net category

Problems found with existing digests:
	Package haproxy distfile haproxy-1.5.14.tar.gz
	159f5beb8fdc6b8059ae51b53dc935d91c0fb51f [recorded]
	da39a3ee5e6b4b0d3255bfef95601890afd80709 [calculated]

Problems found locating distfiles:
	Package bsddip: missing distfile bsddip-1.02.tar.Z
	Package citrix_ica: missing distfile citrix_ica-10.6.115659/en.linuxx86.tar.gz
	Package djbdns: missing distfile djbdns-1.05-test25.diff.bz2
	Package djbdns: missing distfile djbdns-cachestats.patch
	Package djbdns: missing distfile 0002-dnscache-cache-soa-records.patch
	Package gated: missing distfile gated-3-5-11.tar.gz
	Package owncloudclient: missing distfile owncloudclient-2.0.2.tar.xz
	Package poink: missing distfile poink-1.6.tar.gz
	Package ra-rtsp-proxy: missing distfile rtspd-src-1.0.0.0.tar.gz
	Package ucspi-ssl: missing distfile ucspi-ssl-0.70-ucspitls-0.1.patch
	Package waste: missing distfile waste-source.tar.gz

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-09-15 22:54:44 by Joerg Sonnenberger | Files touched by this commit (2)
Log message:
Apply the same Ruby restrictions as ruby-amq-protocol has.
   2015-09-13 16:58:39 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
Update ruby-amqp to 1.5.1.

* Depend on amq-protocol ~> 1.9
   2015-02-04 16:47:45 by Takahiro Kambe | Files touched by this commit (2) | Package updated
Log message:
Update ruby-amqp to 1.5.0.

## Changes Between 1.4.x and 1.5.0

### Only Await basic.consume-ok If nowait is false

Contributed by Rian McGuire.

### Server-Named Queue Recovery Fix

Server-named queues are now correctly recovered again.

Contributed by Jack C Hong.

## Changes Between 1.3.x and 1.4.0

### connection.blocked Support

[connection.blocked](https://www.rabbitmq.com/connection-blocked.html) notifications
are now correctly supported by the library:

``` ruby
EventMachine.run do
  connection = AMQP.connect(:host => '127.0.0.1')

  connection.on_blocked do |conn, conn_blocked|
    puts "Connection blocked, reason: #{conn_blocked.reason}"
  end

  connection.on_unblocked do |conn, _|
    puts "Connection unblocked"
  end
end
```